{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "ansible check CA",
            "type": "shell",
            "command": "ansible-playbook 12-CA.yml --extra-vars='hosts=all' --vault-password-file=key --check"
        },
        {
            "label": "ansible check deploy_gui",
            "type": "shell",
            "command": "ansible-playbook 00-deploy_gui.yml --extra-vars='hosts=all' --vault-password-file=key --check",

        },
        {
            "label": "ansible-lint",
            "type": "shell",
            "command": "ansible-lint",
            "args": [ "folder with spaces"]
        },
        {
            "label": "ansible check deploy_kubernetes",
            "type": "shell",
            "command": "ansible-playbook 01-deploy_kubernetes.yml --extra-vars='hosts=all' --vault-password-file=key --check"
        },
        {
            "label": "ansible check deploy_docker",
            "type": "shell",
            "command": "ansible-playbook 02-deploy_docker.yml --extra-vars='hosts=all' --vault-password-file=key --check"
        }
    ]
}